## page-crunch 1.0.1

=== Makefile ===
DESTDIR=
PREFIX=/usr/local

all:
	@echo "Double-click on page-crunch.tcl :)"


%.msg: %.po
	msgfmt --tcl $< -l fr -d .

install: fr.msg
#	Program
	install -d -m 755 $(DESTDIR)$(PREFIX)/bin/
	install -m 755 page-crunch.tcl $(DESTDIR)$(PREFIX)/bin/page-crunch
#	Locales
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/page-crunch/
	install -m 644 fr.msg $(DESTDIR)$(PREFIX)/share/page-crunch/
#	Man pages
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/man/man1/
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/man/fr/man1/
	gzip -c9 manpages/page-crunch.1    > $(DESTDIR)$(PREFIX)/share/man/man1/page-crunch.1.gz
	gzip -c9 manpages/page-crunch.fr.1 > $(DESTDIR)$(PREFIX)/share/man/fr/man1/page-crunch.1.gz
	chmod 644 $(DESTDIR)$(PREFIX)/share/man/man1/page-crunch.1.gz
	chmod 644 $(DESTDIR)$(PREFIX)/share/man/fr/man1/page-crunch.1.gz


messages.po: page-crunch.tcl
	xgettext -k_ page-crunch.tcl
#	Avoid a warning from msgmerge:
	sed -i -e 's/charset=CHARSET/charset=UTF-8/' messages.po

update-po:
	msgmerge --update fr.po messages.po

clean:
	-rm messages.po *.msg *~

=== debian/changelog ===
page-crunch (1.0.1-4) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Maintain package in Salvage team
    Closes: #1094979
  * Remove unneeded d/README.source, d/rules.old
  * Point Homepage to webarchive
  * Simmplify d/rules
  * Fake watch file
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * d/copyright: DEP5
  * Depends: s/tk8.4/tk/
    Closes: #905978

  [ Nick Ellery ]
  * Default reader evince
    Closes: #508674

 -- Andreas Tille <tille@debian.org>  Sun, 23 Feb 2025 07:22:47 +0100

page-crunch (1.0.1-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 14:44:51 +0100

page-crunch (1.0.1-3) unstable; urgency=low

  * Switch to 3.0 (quilt) package source format
  * Bump Standards-Version to 3.9.3
  * Add alternate wish dependency so the package can work with
    newer tcl
  * Call 'wish' instead of 'tclsh' on startup so as to avoid using a
    version of tcl with no matching tk (closes: #664218)

 -- Sylvain Beucler <beuc@debian.org>  Sun, 18 Mar 2012 19:57:52 +0100

page-crunch (1.0.1-2) unstable; urgency=low

  * Bump Standards-Version to 3.8.4
  * Fix debhelper-but-no-misc-depends by adding ${misc:Depends} in binary
    package dependencies
  * Use new Homepage: field in debian/control instead of embedding that
    information in the package description
  * Update menu category to Applications/Text
  * Renamed debian/UPGRADE to more standard debian/README.source
  * Update copyright years for packaging and bump GPL to v3
  * Improve description
  * Update dependency: gs-common -> ghostscript

 -- Sylvain Beucler <beuc@debian.org>  Sun, 06 Jun 2010 20:58:36 +0200

page-crunch (1.0.1-1) unstable; urgency=low

  * New upstream release (take input filename into account when it's
    entered manually instead of using the file browser)

 -- Sylvain Beucler <beuc@beuc.net>  Sun,  5 Nov 2006 11:45:26 +0100

page-crunch (1.0-1) unstable; urgency=low

  * New upstream release: select appropriate Tcl version
    (closes: #387323)

 -- Sylvain Beucler <beuc@beuc.net>  Tue, 26 Sep 2006 11:50:46 +0200

page-crunch (0.9.9-1) unstable; urgency=low

  * New release: packaging and i18n (closes: #384235)
  * Simplify packaging by delegating to upstream's Makefile.

 -- Sylvain Beucler <beuc@beuc.net>  Wed, 30 Aug 2006 17:52:39 +0200

page-crunch (0.9.5-1) unstable; urgency=low

  * New release
  * Clean-up
  * Use debhelper 5

 -- Sylvain Beucler <beuc@beuc.net>  Mon,  7 Aug 2006 12:25:00 +0200

page-crunch (0.9-1) unstable; urgency=low

  * updated to the new upstream version.

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Sun, 14 Sep 2003 18:56:40 +0200

page-crunch (0.7.2-1) unstable; urgency=low

  * updated to the new upstream version.
  * adapted the copyright file to reflect the change in upstream source
    location.

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Sat, 13 Sep 2003 19:21:16 +0200

page-crunch (0.7-1) unstable; urgency=low

  * Initial Release.

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Sun,  7 Sep 2003 21:56:58 +0200

=== debian/control ===
Source: page-crunch
Section: text
Priority: optional
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders: Sylvain Beucler <beuc@debian.org>,
           David Cobac <david.cobac@free.fr>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: gettext
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/salvage-team/page-crunch
Vcs-Git: https://salsa.debian.org/salvage-team/page-crunch.git
Homepage: https://web.archive.org/web/20120120035354/http://wfr.tcl.tk/279

Package: page-crunch
Architecture: all
Depends: ${misc:Depends}, tk | wish, psutils, ghostscript, xpdf-utils | poppler-utils
Recommends: gv | postscript-viewer, xpdf | pdf-viewer
Description: PDF and PS manipulation for printing needs
 Converts PDF and PS files to new PDF and PS documents with several
 sheets on the same page, or with resized or rotated sheets. It also
 can generate a book ready to print.
 .
 It acts as a graphical frontend to psutils programs, like psnup and
 psbook, and runs viewers such as xpdf and gv for preview once the
 processing is done.  The GUI is made in Tcl/Tk.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr DESTDIR=$(CURDIR)/debian/page-crunch

=== debian/watch ===
version=4

opts=dversionmangle=s/.*/0.No-Release/ \
 https://people.debian.org/~eriberto/ FakeWatchNoUpstreamReleaseForThisPackage-(\d\S+)\.gz
